local custom_radial = HUDManager.set_teammate_custom_radial
function HUDManager:set_teammate_custom_radial(i, data)
	local hud = managers.hud:script( PlayerBase.PLAYER_INFO_HUD_FULLSCREEN_PD2)
	if not hud.panel:child("swan_song_left") then
		local swan_song_left = hud.panel:bitmap({
			name = "swan_song_left",
			visible = false,
			texture = "guis/textures/alphawipe_test",
			layer = 0,
			color = Color(0, 0.7, 1),
			blend_mode = "add",
			w = hud.panel:w(),
			h = hud.panel:h(),
			x = 0,
			y = 0 
		})
	end
	local swan_song_left = hud.panel:child("swan_song_left")
	if i == 4 and data.current < data.total and data.current > 0 and swan_song_left then
		swan_song_left:set_visible(true)
		local hudinfo = managers.hud:script(PlayerBase.PLAYER_INFO_HUD_PD2)
		swan_song_left:animate(hudinfo.flash_icon, 4000000000)
	elseif hud.panel:child("swan_song_left") then
		swan_song_left:stop()
		swan_song_left:set_visible(false)
	end
	if swan_song_left and data.current == 0 then
		swan_song_left:set_visible(false)
	end
	return custom_radial(self, i, data)
end